AsterNet Class Library (Sandcastle documentation)

| AGIScript DatabasePut Method

Adds or updates an entry in the Asterisk database for a given family, key and value.

Namespace: AsterNET.FastAGI
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    protected void DatabasePut(
    	string family,
    	string key,
    	string value
    )

    Protected Sub DatabasePut (
    	family As String,
    	key As String,
    	value As String
    )

    protected:
    void DatabasePut(
    	String^ family,
    	String^ key,
    	String^ value
    )

    member DatabasePut :
            family : string *
            key : string *
            value : string -> unit

#### Parameters

family
  Type: System
  String
  the family of the entry to add or update.
key
  Type: System
  String
  the key of the entry to add or update.
value
  Type: System
  String
  the new value of the entry.

See Also

#### Reference

AGIScript Class
AsterNET.FastAGI Namespace